AUPLAY(1)

NAME
auplay - play a sound file to a Network Audio System server

SYNOPSIS
auplay [-audio servername] [-volume 0-100] [-i] [-I] [-l] files...

DESCRIPTION
The auplay program can be used to play audio data stored in the .SND, .AU, or .WAV formats common on Sun workstations and PCs. It is typically used from shell scripts or command line procedures. If no filenames are given on the command line, audio data will be read fron stdin, unless the -l option is given.

OPTIONS
The following options may be used with the auplay program:

-audio servername
    This option specifies the Network Audio System server on which the files should be played.

-volume 0-100
    This option specifies the volume at which the data should be played as a percentage of the maximum possible volume. The default is 100 percent.

-i  This option indicates that the header information associated with the sound data should be printed along with playing the data.

-I  This option indicates that the header information associated with the sound data should be printed instead of playing the data.

-l  This option indicates that a list of filenames is to be read from stdin. auplay will play these files after playing any files given explicitly as command line arguments.

SEE ALSO
nas(1), auctl(1), audemo(1), autool(1)

COPYRIGHT
Copyright 1993, 1994 Network Computing Devices, Inc.

AUTHOR
Greg Renda, Network Computing Devices, Inc.